using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;

namespace FMSAdmin.Entities {
    public partial class BemsEnergyDailyRegression {
        [Key]
        public int SiteId { get; set; }
        [Column("Weekday_Power")]
        [StringLength(50)]
        public string WeekdayPower { get; set; }
        [Column("Weekday_Power_Temp")]
        [StringLength(50)]
        public string WeekdayPowerTemp { get; set; }
        [Column("Weekday_Gas")]
        [StringLength(50)]
        public string WeekdayGas { get; set; }
        [Column("Weekday_Gas_Temp")]
        [StringLength(50)]
        public string WeekdayGasTemp { get; set; }
        [Column("Weekday_Water")]
        [StringLength(50)]
        public string WeekdayWater { get; set; }
        [Column("Weekday_Water_Temp")]
        [StringLength(50)]
        public string WeekdayWaterTemp { get; set; }
        [Column("Holiday_Power")]
        [StringLength(50)]
        public string HolidayPower { get; set; }
        [Column("Holiday_Power_Temp")]
        [StringLength(50)]
        public string HolidayPowerTemp { get; set; }
        [Column("Holiday_Gas")]
        [StringLength(50)]
        public string HolidayGas { get; set; }
        [Column("Holiday_Gas_Temp")]
        [StringLength(50)]
        public string HolidayGasTemp { get; set; }
        [Column("Holiday_Water")]
        [StringLength(50)]
        public string HolidayWater { get; set; }
        [Column("Holiday_Water_Temp")]
        [StringLength(50)]
        public string HolidayWaterTemp { get; set; }
        public bool? IsRegression { get; set; }

        [ForeignKey(nameof(SiteId))]
        [InverseProperty(nameof(CmSite.BemsEnergyDailyRegression))]
        public virtual CmSite Site { get; set; }
    }
}
